import 'dart:async';

import 'package:chhota_stocks_flutter/src/core/config/flavour.dart';
import 'package:flutter/services.dart';
import 'src/core/config/chhota_stocks_config.dart';

class ChhotaStocksFlutter {
  static const MethodChannel _channel = MethodChannel('chhota_stocks_flutter');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> initChhotaStocks(
      {required String partnerGatewayName,
      required String partnerGatewaySecret,
      required String mobile,
      required String name,
      required String   languageCode,
      ChhotaStocksFlavour chhotaStocksFlavour =
          ChhotaStocksFlavour.DEV}) async {
    ChhotaStocksConfig.initChhotaStocksConfig(
        partnerGatewayName: partnerGatewayName,
        partnerGatewaySecret: partnerGatewaySecret,
        mobile: mobile,
        chhotaStocksFlavour: chhotaStocksFlavour,
      languageCode: languageCode,
    );

  }
}
