


import 'translations.dart';

/// The translations for English (`en`).
class TranslationsEn extends Translations {
  TranslationsEn([String locale = 'en']) : super(locale);

  @override
  String get portFolio => 'Portfolio';

  @override
  String get portfolioDesc => 'Discover, Investments and more';

  @override
  String get discover => 'Discover';

  @override
  String get investment => 'Investments';

  @override
  String get homeCardDec2 => 'Fractional shares of Top 25 Stocks through ETFs starting as low as ₹100';

  @override
  String get homeCardDec1 => 'Select the best Chhotastock suited for your needs';

  @override
  String get funds => 'Funds';

  @override
  String get noBrokerConnected => 'No broker connected';

  @override
  String get account => 'Account';

  @override
  String get orders => 'Orders';

  @override
  String get ordersHistory => 'Order history, status and more';

  @override
  String get logoutBroker => 'Logout From Broker';

  @override
  String get disconnectYourAccount => 'Disconnect your trading account';

  @override
  String get poweredBy => 'Powered by';

  @override
  String get version => 'Version 1.0';

  @override
  String get pastPerformanceTxt => 'Past performance includes all rebalances & does not include cost or guarantee future returns.';

  @override
  String get loading => 'Loading....';

  @override
  String get somethingWentWrong => 'Something went wrong.';

  @override
  String get retry => 'Retry';

  @override
  String get exitStock => 'Exit from Chhota Stocks';

  @override
  String get investCTA => 'Invest Now';

  @override
  String get orderSubmitted => 'Order Submitted!';

  @override
  String get viewOrder => 'View Orders';

  @override
  String get emptyBasket => 'No Chhota Stocks available!';

  @override
  String get stocksAndWeight => 'Stocks & Weights';

  @override
  String get overview => 'Overview';

  @override
  String get chhotaStocksInfo1 => 'Constituents of this Chhotastock were last reviewed on Dec 15 2021, and will be next reviewed on the Jan 15 2022';

  @override
  String get chhotaStocksInfo2 => 'Where is it invested?';

  @override
  String get chhotaStocksInfo3 => 'Every unit purchased in this chhotastock is invested in multiple stocks & segments via ETF';

  @override
  String get chhotaStocksInfo4 => 'Chhota Stocks will be added soon!';

  @override
  String get stocksAndSegment => 'Stocks & Segment';

  @override
  String get weightage => 'Weightage';

  @override
  String get latestNew => 'Latest News';

  @override
  String get news => 'News';

  @override
  String get allBatches => 'All Batches';

  @override
  String get track => 'Track';

  @override
  String get batch => 'Batch';

  @override
  String get status => 'Status';

  @override
  String get stock => 'Stock';

  @override
  String get avgPrice => 'Avg Price';

  @override
  String get qtyFilled => 'Qty Filled';

  @override
  String get seeAll => 'See All';

  @override
  String get lastPlacedOn => 'Last placed on';

  @override
  String get noOrders => 'No Orders Yet!';

  @override
  String get currentVal => 'Current Value';

  @override
  String get totalReturns => 'Total Returns';

  @override
  String get currentInv => 'Current Investment';

  @override
  String get currentReturns => 'Current Returns';

  @override
  String get indexVal => 'Index Value';

  @override
  String get details => 'Details';

  @override
  String get investedOn => 'Invested on';

  @override
  String get performance => 'Performance';

  @override
  String get realizedAndDiv => 'Realized Returns + Dividends';

  @override
  String get stocksAndETF => 'Stocks/ETFs';

  @override
  String get returns => 'Returns';

  @override
  String get shares => 'Shares:';

  @override
  String get noInvestmentYet => 'No Investment Yet!!';

  @override
  String get openAcc => 'Open Account';

  @override
  String get faqCTA => 'Frequently Asked Questions';

  @override
  String get disBuySetup => 'Discover, Buy, Setup SIP, Exit & more';

  @override
  String get whatIsChhotaSTocks => 'What is a chhotastock?';

  @override
  String get faqDesc1 => 'They are ready-made baskets allowing you to invest in top 25 well known companies that help you build a low cost, long term and diversified portfolio.';

  @override
  String get faqDesc2 => '• Each \"chhotastock\" is managed by Capital Quotient Investment Advisors(SEBI Reg.No: INA200009397) through ETFs that reflect a strategy.';

  @override
  String get faqDesc3 => '• You can login with your Broker account and start investing right away.';

  @override
  String get faqDesc4 => 'For eg: You can invest in Infosys and other top 25 companies in a single basket for ₹100';

  @override
  String get faqDesc5 => 'What is the minimum investment amount to invest in a chhotastock?';

  @override
  String get faqDesc6 => 'A minimum investment amount is the current value of the stocks present in a chhotastock along with the prescribed weightage to that intended.\n\n You can also increase the amount you want to invest in that chhotastock by entering any greater amount, and hit confirm to get the closest amount that gives you the right weighting scheme. You would not be able to invest less than the minimum amount.\n\nThe minimum amount for each chhotastock is different & changes in real-time.';

  @override
  String get faqDesc7 => 'How to place a chhotastock order?';

  @override
  String get faqDesc8 => 'To begin investing in chhotastock, login with your Broker ID and password, select a chhotastock and get started:';

  @override
  String get faqDesc9 => '• After selecting a chhotastock, click on \"Invest Now\" button';

  @override
  String get faqDesc10 => '• Choose between Monthly SIP or One Time & confirm the amount';

  @override
  String get faqDesc11 => '• Click on \"Confirm Order\" and the order is executed';

  @override
  String get faqDesc12 => '• Wait for few seconds and the page automatically redirects to the chhotastock';

  @override
  String get faqDesc13 => 'Good to know: Once your order is executed all stocks will be credited to your DEMAT account.';

  @override
  String get faqDesc14 => 'Can I start SIP in chhotastock?';

  @override
  String get faqDesc15 => 'You can start an SIP in chhotastock in two ways';

  @override
  String get faqDesc16 => '• Choose \"Monthly SIP\" when making a fresh investment';

  @override
  String get faqDesc17 => '• From your investments, select a smallcase & click on \"Start SIP\"';

  @override
  String get faqDesc18 => 'Good to know: SIPs are not automatically executed. You will be notified when your SIP is due. Subscribe to WhatsApp updates & never miss an instalment';

  @override
  String get faqDesc19 => 'Is there a lock-in? How do I exit?';

  @override
  String get faqDesc20 => 'There are no lock-in periods, you can exit your chhotastock anytime. As a concept however, chhotastock work best when used for long-term investing.';

  @override
  String get faqDesc21 => '• You can either exit wholly or partially';

  @override
  String get faqDesc22 => '• Select a chhotastock from your “Investments” page';

  @override
  String get faqDesc23 => '• Click on Exit chhotastock button & place the order';

  @override
  String get faqDesc24 => 'Good to know: You can partially exit a chhotastock only when you place an Invest more order.';

  @override
  String get faqDesc25 => 'Which are the broker platforms currently live with chhotastock?';

  @override
  String get faqDesc26 => 'We are currently available on the following brokers. If you have an account with any of them, just click on the broker name to log in and explore.';

  @override
  String get faqDesc27 => 'If you don\'t, you will need to open a Demat & trading account with one of them to invest in chhotastock.';

  @override
  String get faqDesc28 => 'Good to know: We are live with Kotak Securities, 5paisa and Zerodha for opening a new Demat account';

  @override
  String get faqDesc29 => 'Demat Account';

  @override
  String get faqDesc30 => 'Procedure, KYC documents & more';

  @override
  String get faqDesc31 => 'What is a demat account?';

  @override
  String get faqDesc32 => 'A Demat account—short for dematerialised account—is an account that allows you to hold company shares and securities electronically.\n\nYou can hold dematerialised securities such as stocks, mutual funds, bonds, exchange-traded funds (ETFs), etc. in a demat account.\n\nSo when you place an order to buy a stock, the shares get credited to your demat account. Similarly, when you choose to sell your shares, they get debited from your demat account.';

  @override
  String get faqDesc33 => 'How to open a demat account?';

  @override
  String get faqDesc34 => 'Click on the \"Open Account\" button and follow the steps. Enter the email address, name and phone number and Click on \"Continue\"';

  @override
  String get faqDesc35 => 'Choose the broker you want to open the Demat account with. Right now, we support opening new DMAT accounts with 3 brokers.';

  @override
  String get faqDesc36 => 'Once you select the broker you want to open the Demat account with, be ready with the following KYC documents and Click on \"Continue\". You will be redirected to the broker page to complete the rest of the KYC procedures.';

  @override
  String get faqDesc37 => 'What are the documents required for opening a Demat account?';

  @override
  String get faqDesc38 => 'You need to verify your PAN, date of birth, bank account number & IFSC Code. You will have to e-verify with the help of Aadhaar. Once verified you will have to upload your signature either signed/scanned on a white sheet or digitally signing on the KYC form.';

  @override
  String get faqDesc39 => 'Are there any charges for opening a Demat account?';

  @override
  String get faqDesc40 => 'Every broker have different charges for opening the Demat Account. Right now, we support opening a new account with 3 brokers. You can open a FREE DMAT account with Kotak Securities or 5paisa. Zerodha charges ₹200 for opening a new DMAT Account.';

  @override
  String get faqDesc41 => 'Add & withdraw funds from your Demat Account';

  @override
  String get faqDesc42 => 'My available funds are low to place the order, what should I do?';

  @override
  String get faqDesc43 => 'In the absence of sufficient funds in your trading account, you are requested to add funds and place the order again.';

  @override
  String get faqDesc44 => 'Chhotastock doesn\'t have separate account for funds. The funds that you have in your broker account will simply reflect here > So add funds to your broker account and place the order in case of insufficient funds.';

  @override
  String get faqDesc45 => 'How to add funds to my demat account?';

  @override
  String get faqDesc46 => 'chhotastock doesn\'t have separate account for funds. All your funds are managed by your broker. You can add funds to your Demat account by downloading/visiting your broker application and transfering funds from your mapped bank account using UPI(Google Play, Phonepe, BHIM, etc.) or Net banking';

  @override
  String get faqDesc47 => '• How to add funds to my Zerodha account?';

  @override
  String get faqDesc48 => '• How to add funds to my Kotak Securities account?';

  @override
  String get faqDesc49 => '• How to add funds to my 5paisa account?';

  @override
  String get faqDesc50 => 'How to withdraw funds from my demat account?';

  @override
  String get faqDesc51 => 'After you exit any chhotastock either fully or partially, the amount will be credited back to your trading account fund balance. To withdraw, you have to place a withdrawal request with your broker.';

  @override
  String get faqDesc52 => '• How to add withdraw funds from my Zerodha account?';

  @override
  String get faqDesc53 => '• How to withdraw funds from my Kotak Securities account?';

  @override
  String get faqDesc54 => '• How to withdraw funds from my 5paisa account?';

  @override
  String get faqDesc55 => 'Add & withdraw funds from your Demat Account';

  @override
  String get faqDesc56 => 'Procedure, KYC documents & more';

  @override
  String get dmatAccount => 'Demat Account';

  @override
  String get faqDesc57 => 'Discover, Buy, Setup SIP, Exit & more';

  @override
  String get exitStockLabel => 'Exit from this Chhotastock partially or as a whole.';

  @override
  String get learnCTA => 'Learn';

  @override
  String get summaryInsightsTxt => 'Summary, insights and more';

  @override
  String get learnDesc1 => 'Read, Learn and start your savings journey.';

  @override
  String get fundsOrderMore => 'Funds, Orders and more';

  @override
  String get homeCardPromotionTxt1 => 'Create SIP & get stable returns at low risk with minimal fees.';

  @override
  String get discoverCS => 'Discover Chhotastock';

  @override
  String get myCS => 'My Chhotastock';

  @override
  String get learnCardTxt1 => 'Need help? We are always here!';

  @override
  String get learnCardTxt2 => 'Move forward in your chhotastock journey with these FAQs & Videos';
}
