import 'package:dio/dio.dart';
import 'package:flutter/foundation.dart';

const _connectionTimeout = 30 * 1000; //30 seconds
const _receiveTimeout = 30 * 1000; //30 seconds

class APIConnectivity {
  late Dio dio;

  APIConnectivity(
      {required String partnerGatewaySecret, required String baseURL}) {
    dio = Dio()
      ..options.baseUrl = baseURL
      ..options.headers = {"x-partner-gateway-secret":partnerGatewaySecret}
      ..options.connectTimeout = _connectionTimeout
      ..options.receiveTimeout = _receiveTimeout;

    if (kDebugMode) {
      dio.interceptors.add(LogInterceptor(
          responseBody: true,
          error: true,
          requestHeader: true,
          responseHeader: true,
          request: true,
          requestBody: false));
    }
  }

  void setPartnerGatewayToken(String partnerGatewayToken) {
    dio.options.headers
        .addAll({"x-partner-gateway-token": partnerGatewayToken});
  }
}
