import 'package:sprintf/sprintf.dart';

class ApiEndpoints {
  static String initSDK(
          {required String baseURL, required String partnerGatewayName}) =>
      sprintf("%s/account/api/v1/%s/sdk/init", [baseURL, partnerGatewayName]);
  static String discover(
          {required String baseURL, required String partnerGatewayName}) =>
      sprintf("%s/smallcase/api/v1/%s/discover", [baseURL, partnerGatewayName]);

  static String moreDetailsSCID(
          {required String baseURL,
          required String partnerGatewayName,
          required String scid}) =>
      sprintf("%s/smallcase/api/v1/%s/%s", [baseURL, partnerGatewayName, scid]);

  static String chartDetails(
          {required String baseURL,
          required String partnerGatewayName,
          required String scid}) =>
      sprintf("%s/smallcase/api/v1/%s/%s/chart",
          [baseURL, partnerGatewayName, scid]);

  static String news(
          {required String baseURL,
          required String partnerGatewayName,
          required String scid}) =>
      sprintf("%s/smallcase/api/v1/%s/%s/news",
          [baseURL, partnerGatewayName, scid]);

  static String createTransaction(
          {required String baseURL,
          required String partnerGatewayName,
          required String scid,required String txnType}) =>
      sprintf("%s/smallcase/api/v1/%s/%s/transaction/%s",
          [baseURL, partnerGatewayName, scid,txnType]);

  static String transactionCallback(
          {required String baseURL,
          required String partnerGatewayName,
          required String transactionId}) =>
      sprintf("%s/smallcase/api/v1/%s/callback/%s",
          [baseURL, partnerGatewayName, transactionId]);
  static String saveLead(
          {required String baseURL, required String partnerGatewayName}) =>
      sprintf(
          "%s/account/api/v1/%s/dmat/save/lead", [baseURL, partnerGatewayName]);

  static String statement(
          {required String baseURL, required String partnerGatewayName}) =>
      sprintf(
          "%s/smallcase/api/v1/%s/orders/stmt", [baseURL, partnerGatewayName]);

  static String portfolio(
          {required String baseUrl,
          required String partnerGatewayName,
          required String portfolioType}) =>
      sprintf("%s/smallcase/api/v1/%s/investments/%s",
          [baseUrl, partnerGatewayName, portfolioType]);

  static String brokerFunds(
          {required String baseURL, required String partnerGatewayName}) =>
      sprintf("%s/smallcase/api/v1/%s/transaction/funds",
          [baseURL, partnerGatewayName]);

  static String sipDetails({required String baseURL,required String partnerGatewayName,required String iscid})=>
      sprintf("%s/smallcase/api/v1/%s/sip/%s",[baseURL,partnerGatewayName,iscid]);


}
