import 'package:chhota_stocks_flutter/src/core/models/response_model.dart';
import 'package:chhota_stocks_flutter/src/feature/chartDetails/model/chart_details_model.dart';
import 'package:chhota_stocks_flutter/src/feature/createTransaction/model/create_txn_model.dart';
import 'package:chhota_stocks_flutter/src/feature/createTransaction/model/create_txn_type.dart';
import 'package:chhota_stocks_flutter/src/feature/discover/model/discover_model.dart';
import 'package:chhota_stocks_flutter/src/feature/initSDK/model/init_sdk_model.dart';
import 'package:chhota_stocks_flutter/src/feature/moreDetails/model/more_details_model.dart';
import 'package:chhota_stocks_flutter/src/feature/news/models/news_model.dart';
import 'package:chhota_stocks_flutter/src/feature/orderStatement/model/order_statement.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/model/portfolio_aggregate_model.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/model/portfolio_summary_model.dart';
import 'package:chhota_stocks_flutter/src/feature/sipDetails/model/sip_details_model.dart';
import 'package:chhota_stocks_flutter/src/feature/transactionCallback/model/transaction_callaback_response.dart';

abstract class ChhotaStocksAPI{

  Future<InitSDKModel> initSDK(String mobile);
  Future<DiscoverModel> discover();

  Future<MoreDetailsModel> moreDetails({required String scid});


  Future<ChartDetailsModel> getChartDetails({required String scid,required String benchmarkId,String duration="max"});

  Future<CreateTxnModel> createTransaction({required String scid,CreateTransactionType createTransactionType=CreateTransactionType.BUY});

  Future<NewsModel> getNews({required String scid});

  Future<TransactionCallbackResponse> transactionCallback({required String txnId,required String smallcaseAuthId});

  Future<ResponseModel> saveLead({required String leadId,required String status});

  Future<PortfolioAggregateModel> portfolioAggregate();

  Future<PortfolioSummaryModel> portfolioSummary();

  Future<OrderStatement> orderStatement();
  Future<CreateTxnModel> brokerFunds();

  Future<SIPDetails> sipDetails({required String iscid});

}