import 'package:intl/intl.dart';

//Currency conversion format
var indiaFormat = NumberFormat.currency(locale: 'HI');


String truncate(String text, { length: 7, omission: '...' }) {
  if (length >= text.length) {
    return text;
  }
  return text.replaceRange(length, text.length, omission);
}



String timeAgoSinceDate(String isoDateString, {bool numericDates = true}) {
  DateTime notificationDate = DateTime.parse(isoDateString);
  final date2 = DateTime.now();
  final difference = date2.difference(notificationDate);

  if (difference.inDays > 8) {
    return isoDateString;
  } else if ((difference.inDays / 7).floor() >= 1) {
    return (numericDates) ? '1 week ago' : 'Last week';
  } else if (difference.inDays >= 2) {
    return '${difference.inDays} days ago';
  } else if (difference.inDays >= 1) {
    return (numericDates) ? '1 day ago' : 'Yesterday';
  } else if (difference.inHours >= 2) {
    return '${difference.inHours} hours ago';
  } else if (difference.inHours >= 1) {
    return (numericDates) ? '1 hour ago' : 'An hour ago';
  } else if (difference.inMinutes >= 2) {
    return '${difference.inMinutes} minutes ago';
  } else if (difference.inMinutes >= 1) {
    return (numericDates) ? '1 minute ago' : 'A minute ago';
  } else if (difference.inSeconds >= 3) {
    return '${difference.inSeconds} seconds ago';
  } else {
    return 'Just now';
  }
}


String formatDateToMMMDDYYYY(String? isoString){
  if(isoString==null){
    return "";
  }
  final date=DateTime.parse(isoString);
  return DateFormat("MMM dd,yyyy").format(date);
}
