import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/chartDetails/model/chart_details_model.dart';
import 'package:equatable/equatable.dart';

part 'chart_details_state.dart';

class ChartDetailsCubit extends Cubit<ChartDetailsState> {
  ChartDetailsCubit() : super(ChartDetailsInitial());

  Future<void> getChartDetails({required String scid,required String benchmarkId,String duration="max"})async{

    emit(ChartDetailsLoading());
    final response=await APIService.getInstance().getChartDetails(scid: scid, benchmarkId: benchmarkId,duration: duration);
    if(response.chartDetailsResult?.chartDetailsData!=null){
      emit(ChartDetailsSuccess(chartDetailsData: response.chartDetailsResult!.chartDetailsData!,
          chartFilter: response.chartDetailsResult!.chartDetailsData?.defaultDuration??'max',scid: scid,benchmarkId: benchmarkId));
    }else{
      emit(ChartDetailsError(errorMsg: response.error??"Something went wrong"));
    }

  }


  Future<void> filterChart({required String duration})async{

   if(state is ChartDetailsSuccess){
     final currentState=state as ChartDetailsSuccess;
     currentState.copyWith(chartFilter: duration);
     emit(ChartDetailsLoading());

     final response=await APIService.getInstance().getChartDetails(scid: currentState.scid, benchmarkId: currentState.benchmarkId,duration: duration);
     if(response.chartDetailsResult?.chartDetailsData!=null){
       emit(currentState.copyWith(chartDetailsData: response.chartDetailsResult!.chartDetailsData!,
           chartFilter: duration));
     }else{
       emit(ChartDetailsError(errorMsg: response.error??"Something went wrong"));
     }
   }

  }





}
