part of 'chart_details_cubit.dart';

abstract class ChartDetailsState extends Equatable {
  const ChartDetailsState();
}

class ChartDetailsInitial extends ChartDetailsState {
  @override
  List<Object> get props => [];
}


class ChartDetailsSuccess extends ChartDetailsState{
  final ChartDetailsData chartDetailsData;
  final String chartFilter;
  final String scid;
  final String benchmarkId;
  const ChartDetailsSuccess({required this.chartDetailsData,required this.chartFilter,required this.scid,required this.benchmarkId});

  ChartDetailsSuccess copyWith({String? chartFilter,ChartDetailsData? chartDetailsData,String? scid,String? benchmarkId}){
    return ChartDetailsSuccess(
      chartDetailsData: chartDetailsData??this.chartDetailsData,
      chartFilter: chartFilter??this.chartFilter,
      scid: scid??this.scid,
      benchmarkId: benchmarkId??this.benchmarkId

    );
  }
  @override
  List<Object> get props => [chartDetailsData,chartFilter,scid,benchmarkId];
}


class ChartDetailsError extends ChartDetailsState{
  final String errorMsg;
  const ChartDetailsError({required this.errorMsg});

  @override
  List<Object> get props=>[errorMsg];
}


class ChartDetailsLoading extends ChartDetailsState{
  @override
  List<Object> get props => [];
}