import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';


class ErrorImageWidget extends StatelessWidget {
  final double width;
  final double height;
  const ErrorImageWidget({Key? key,this.height=60,this.width=60}):super(key: key);
  @override
  Widget build(BuildContext context) {
    return Image.network("https://assets.chhotastock.com/app/chhota-stocks.jpg",width: width,height: height,);
    // return SvgPicture.network("https://assets.chhotastock.com/app/chhotastock-logo.svg",width: width,height: height,);
    // return Placeholder(fallbackHeight: height,fallbackWidth: width,);

  }
}


class ErrorNetworkImageWidget extends StatelessWidget {
  final double? width;
  final double? height;
  final String? src;
  final BoxFit? fit;

  const ErrorNetworkImageWidget({Key? key,this.width,this.height,required this.src,this.fit=BoxFit.cover}):super(key: key);
  @override
  Widget build(BuildContext context) {
  return  Container(
    height: height??24,
    width: height??24,
    child: CachedNetworkImage(
      imageUrl:src??"--",
      fit: fit,
      errorWidget: (context,_,stack){
        return const ErrorImageWidget();
      },
    ),
  );

  }
}

