import 'dart:async';

import 'package:chhota_stocks_flutter/src/feature/initSDK/init_sdk.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';

class SplashScreen extends StatefulWidget {
  final VoidCallback? onFinish;
  const SplashScreen({Key? key, this.onFinish}) : super(key: key);

  @override
  State<SplashScreen> createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  bool animationDone = false;

  @override
  void initState() {
    super.initState();
    Timer(const Duration(milliseconds: 2800), () {
      if (mounted) {
        setState(() {
          animationDone = true;
        });
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    if (animationDone) {
      return InitSDKWidget(
        onDone: widget.onFinish,
      );
    }
    return Scaffold(
      body: Stack(
        children: <Widget>[
          Center(
            child: Image.asset(
              "assets/images/splash.gif",
              package: "chhota_stocks_flutter",
              height: double.maxFinite * 0.9,
              width: double.maxFinite * 0.9,
              fit: BoxFit.cover,
              gaplessPlayback: false,
              repeat: ImageRepeat.noRepeat,
              colorBlendMode: BlendMode.clear,
            ),
          ),
        ],
      ),
    );
  }
}
