import 'package:chhota_stocks_flutter/src/core/core.dart';
import 'package:chhota_stocks_flutter/src/feature/commonWidget/common_widgets.dart';
import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class WebviewWidget extends StatefulWidget {
  final String url;
  final String heading;
  const WebviewWidget({Key? key,required this.heading,required this.url}):super(key: key);

  @override
  State<WebviewWidget> createState() => _WebviewWidgetState();
}

class _WebviewWidgetState extends State<WebviewWidget> {
  bool isLoading=true;

  @override
  Widget build(BuildContext context) {
    return Theme(
      data: ChhotaStocksTheme.lightThemeData.copyWith(
        appBarTheme: ChhotaStocksTheme.customAppBarTheme
      ),
      child: Scaffold(
        appBar: AppBar(
          elevation: 0,
          title: Text(widget.heading),
        ),

        body: Padding(
          padding: const EdgeInsets.only(top:8.0),
          child: Stack(
            children: [
              WebView(
               initialUrl: widget.url,
                javascriptMode: JavascriptMode.unrestricted,
                onPageFinished: (finish) {
                  setState(() {
                    isLoading = false;
                  });
                },



              ),

              if(isLoading)
               const Loader(),
            ],
          ),
        ),
      ),
    );
  }
}
