import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/createTransaction/model/create_txn_model.dart';
import 'package:chhota_stocks_flutter/src/feature/createTransaction/model/create_txn_type.dart';
import 'package:equatable/equatable.dart';

part 'create_txn_state.dart';

class CreateTxnCubit extends Cubit<CreateTxnState> {
  CreateTxnCubit() : super(CreateTxnInitial());


  Future<void> createTransaction({required String scid,CreateTransactionType createTransactionType=CreateTransactionType.BUY})async{
     emit(CreateTxnLoading());

     final response=await APIService.getInstance().
     createTransaction(scid: scid,createTransactionType: createTransactionType);

     if(response.txnData?.transactionId!=null){
       emit(CreateTxnSuccess(txnData: response.txnData!));
     }else{
       emit(CreateTxnError(errorMsg: response.errors!));
     }
  }
}
