import 'package:chhota_stocks_flutter/src/feature/createTransaction/bloc/create_txn_cubit.dart';
import 'package:chhota_stocks_flutter/src/feature/createTransaction/bloc/trigger_txn_method.dart';
import 'package:chhota_stocks_flutter/src/feature/createTransaction/model/create_txn_type.dart';
import 'package:chhota_stocks_flutter/src/feature/transactionCallback/bloc/transaction_callback_cubit.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:shimmer/shimmer.dart';

class RebalanceBtn extends StatelessWidget {
  final String iscid;
  const RebalanceBtn({Key? key,required this.iscid}):super(key: key);
  @override
  Widget build(BuildContext context) {
    return MultiBlocProvider(
      providers: [
        BlocProvider<TransactionCallbackCubit>(
            create: (_) => TransactionCallbackCubit()),
        BlocProvider<CreateTxnCubit>(create: (_) => CreateTxnCubit()),
      ],
      child: _RebalanceBtn(iscid: iscid),
    );
  }
}

class _RebalanceBtn extends StatelessWidget {
  final String iscid;
  const _RebalanceBtn({Key? key,required this.iscid}):super(key: key);

  @override
  Widget build(BuildContext context) {
    return BlocConsumer<CreateTxnCubit, CreateTxnState>(
      listener: (context, state) {
        if (state is CreateTxnSuccess && state.txnData.transactionId != null) {
          triggerTxnMethod(context:context,txnId: state.txnData.transactionId!);

        } else if (state is CreateTxnError) {
          // Fluttertoast.showToast(msg: state.errorMsg);
        }
      },
      builder: (context, state) {
        if(state is CreateTxnLoading){
          return Shimmer.fromColors(
            highlightColor: const  Color(0xFF6027d0).withOpacity(0.4),
            baseColor: const Color(0xFF6027d0).withOpacity(0.6),
            child: Container(
              width: double.infinity,

              decoration: const BoxDecoration(
                  color:  Color(0xFF6027d0),
                  borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
              ),
              child: const Padding(
                padding:  EdgeInsets.symmetric(vertical: 12.0),
                child:  Text(
                  "Loading...",
                  textAlign: TextAlign.center,
                  overflow: TextOverflow.ellipsis,
                  style: TextStyle(
                      fontSize: 12.0,
                      fontWeight: FontWeight.w400,
                      color: Colors.white
                  ),
                ),
              ),


            ),
          );
        }


        return InkWell(
            onTap:() => state is CreateTxnLoading
                ? null
                : BlocProvider.of<CreateTxnCubit>(context)
                .createTransaction(scid: iscid,createTransactionType: CreateTransactionType.REBALANCE),
            child:Container(
              width: double.infinity,
              decoration: const BoxDecoration(
                  color:   Color(0xFF6027d0),
                  borderRadius: BorderRadius.only(bottomRight: Radius.circular(10.0),bottomLeft: Radius.circular(10.0))
              ),
              child: Padding(
                padding:  const EdgeInsets.symmetric(vertical: 12.0,horizontal: 12.0),
                child:  Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: const [
                    Text(
                      "Click here to Rebalance",
                      textAlign: TextAlign.center,
                      overflow: TextOverflow.ellipsis,
                      style: TextStyle(
                          fontSize: 14.0,
                          fontWeight: FontWeight.w400,
                          color: Colors.white
                      ),
                    ),
                    CircleAvatar(
                        backgroundColor: Colors.white,
                        radius: 16.0,
                        child: Icon(Icons.arrow_forward_ios_rounded,color:  Color(0xFF6027d0),size: 20,))
                  ],
                ),
              ),
            ));

      },
    );
  }
}

