import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/discover/model/discover_model.dart';
import 'package:equatable/equatable.dart';
import 'package:flutter/foundation.dart';

part 'discover_state.dart';

class DiscoverCubit extends Cubit<DiscoverState> {
  DiscoverCubit() : super(DiscoverInitial());


  Future<void> discover()async{
    emit(DiscoverLoading());

    final response=await APIService.getInstance().discover();

    if(response.discoverResult!=null){
      emit(DiscoverSuccess(discoverResult: response.discoverResult!));
    }else{
      String? errorMsg=response.error??response.errorMsg;
      debugPrint("Error:${errorMsg}");
      emit(DiscoverFailed(errMsg: errorMsg??"Something went wrong."));
    }
  }
}
