import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq_data.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq_header_banner.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq_question_modal.dart';
import 'package:chhota_stocks_flutter/src/feature/initSDK/ui/home_app_bar.dart';
import 'package:flutter/material.dart';

class FAQ extends StatefulWidget {
  const FAQ({Key? key}) : super(key: key);

  @override
  State<FAQ> createState() => _FAQState();
}

class _FAQState extends State<FAQ> {
  void showInstruction(CategoryCard categoryCard) {
    showModalBottomSheet(
        isScrollControlled: true,
        context: context,
        shape: const RoundedRectangleBorder(
          borderRadius: BorderRadius.vertical(top: Radius.circular(25.0)),
        ),
        builder: (context) => DraggableScrollableSheet(
              initialChildSize: 0.8,
              minChildSize: 0.75,
              maxChildSize: 1,
              expand: false,
              builder: (_, controller) => FAQQuestionModal(
                title: categoryCard.title,
                desc: categoryCard.desc,
                qanda: categoryCard.qanda,
              ),
            ));
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: faqAppBar,
        body: SingleChildScrollView(
          scrollDirection: Axis.vertical,
          child: Column(

              crossAxisAlignment:
              CrossAxisAlignment.start, children: [
                const SizedBox(
                  height: 20,
                ),
            const FAQHeaderBanner(),
            const SizedBox(
              height: 20,
            ),
            Padding(
              padding: const EdgeInsets.only(top: 16.0, left: 18, right: 18),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    Translations.of(context).faqCTA,
                    // "Frequently Asked Questions",
                    style: const TextStyle(
                      color: Colors.black,
                      fontSize: 16,
                      fontWeight: FontWeight.w500,
                    ),
                  ),
                  const SizedBox(
                    height: 8,
                  ),
                  Container(
                    color: Colors.black,
                    height: 2,
                    width: 50,
                  ),
                  const SizedBox(
                    height: 8,
                  ),
                ],
              ),
            ),
            Container(
              height: 180,
              padding: const EdgeInsets.only(top: 0, left: 0, right: 18),
              child: ListView.builder(
                  itemCount: categoryCards(context).length,
                  scrollDirection: Axis.horizontal,
                  shrinkWrap: true,
                  padding: const EdgeInsets.only(
                      top: 0, bottom: 10.0, left: 10, right: 10),
                  itemBuilder: (context, index) {
                    return Padding(
                      padding: const EdgeInsets.all(8.0),
                      child: InkWell(
                        onTap: () {
                          if (categoryCard(context)[index] != null) {
                            showInstruction(categoryCard(context)[index]);
                          }
                        },
                        child: categoryCards(context)[index],
                      ),
                    );
                  }),
            ),
            const SizedBox(
              height: 20,
            ),
          ]),
        ));
    ;
  }
}
