import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/commonWidget/src/error_image_widget.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq_category_card.dart';
import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';

class QandA {
  String? question;
  List<Widget> answer;
  QandA(this.question, this.answer);
}

class CategoryCard {
  final String? title;
  final String? desc;
  final List<QandA>? qanda;
  CategoryCard({this.title, this.desc, this.qanda});
}

void _launchURL(String _url) async {
  if (!await launch(_url)) throw 'Could not launch $_url';
}

List<CategoryCard> categoryCard(BuildContext context) {
  return [
    CategoryCard(
      title: "Chhotastock",
      desc: Translations.of(context).disBuySetup,
      //"Discover, Buy, Setup SIP, Exit & more",
      qanda: <QandA>[
        QandA(Translations.of(context).whatIsChhotaSTocks,
        //  "What is a chhotastock?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                children: [
                  Text(
                    Translations.of(context).faqDesc1,
                  //  "They are ready-made baskets allowing you to invest in top 25 well known companies that help you build a low cost, long term and diversified portfolio.",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                 const  SizedBox(
                    height: 10,
                  ),
                  Text(Translations.of(context).faqDesc2,
//                    "• Each \"chhotastock\" is managed by Capital Quotient Investment Advisors(SEBI Reg.No: INA200009397) through ETFs that relfect a strategy.",
                    style:const  TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  Text(Translations.of(context).faqDesc3,
                    // "• You can login with your Broker account and start investing right away.",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  const SizedBox(
                    height: 10,
                  ),
                  Text(Translations.of(context).faqDesc4,
                    // "For eg: You can invest in Infosys and other top 25 companies in a single basket for ₹100",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc5,
          //"What is the minimum investment amount to invest in a chhotastock?",
          <Widget>[
            Padding(
              padding:const  EdgeInsets.symmetric(horizontal: 14.0),
              child: Text(Translations.of(context).faqDesc6,
                // "A minimum investment amount is the current value of the stocks present in a chhotastock along with the prescribed weightage to that intended.\n\n You can also increase the amount you want to invest in that chhotastock by entering any greater amount, and hit confirm to get the closest amount that gives you the right weighting scheme. You would not be able to invest less than the minimum amount.\n\nThe minimum amount for each chhotastock is different & changes in real-time.",
                style: TextStyle(
                  fontSize: 12.0,
                ),
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc7,
          // "How to place a chhotastock order?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(children: [
                Text(Translations.of(context).faqDesc8,
                  // "To begin investing in chhotastock, login with your Broker ID and password, select a chhotastock and get started:",
                  style: const TextStyle(
                    fontSize: 12.0,
                  ),
                ),
                const SizedBox(
                  height: 10,
                ),
                Text(Translations.of(context).faqDesc9,
                  // "• After selecting a chhotastock, click on \"Invest Now\" button",
                  style: const TextStyle(
                    fontSize: 12.0,
                  ),
                ),
                Text(Translations.of(context).faqDesc10,
                  // "• Choose between Monthly SIP or One Time & confirm the amount",
                  style: const TextStyle(
                    fontSize: 12.0,
                  ),
                ),
                Text(Translations.of(context).faqDesc11,
                  // "• Click on \"Confirm Order\" and the order is executed",
                  style: const TextStyle(
                    fontSize: 12.0,
                  ),
                ),
                Text(Translations.of(context).faqDesc12,
                  // "• Wait for few seconds and the page automatically redirects to the chhotastock",
                  style: const TextStyle(
                    fontSize: 12.0,
                  ),
                ),
                const SizedBox(
                  height: 10,
                ),
                Text(Translations.of(context).faqDesc13,
                  // "Good to know: Once your order is executed all stocks will be credited to your DEMAT account.",
                  style: const TextStyle(
                    fontSize: 12.0,
                  ),
                ),
              ]),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc14,
          //"Can I start SIP in chhotastock?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                children:  [
                  Text(Translations.of(context).faqDesc15,
                    // "You can start an SIP in chhotastock in two ways",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  const SizedBox(
                    height: 10,
                  ),
                  Text(Translations.of(context).faqDesc16,
                    // "• Choose \"Monthly SIP\" when making a fresh investment",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  Text(Translations.of(context).faqDesc17,
                    // "• From your investments, select a smallcase & click on \"Start SIP\"",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  const SizedBox(
                    height: 10,
                  ),
                  Text(Translations.of(context).faqDesc18,
                    // "Good to know: SIPs are not automatically executed. You will be notified when your SIP is due. Subscribe to WhatsApp updates & never miss an instalment",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc19,
          // "Is there a lock-in? How do I exit?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children:  [
                  Text(Translations.of(context).faqDesc20,
                      // "There are no lock-in periods, you can exit your chhotastock anytime. As a concept however, chhotastock work best when used for long-term investing.",
                      style: const TextStyle(fontSize: 12.0)),
                 const SizedBox(height: 10),
                  Text(Translations.of(context).faqDesc21,
                      // "• You can either exit wholly or partially",
                      style: const TextStyle(fontSize: 12.0)),
                  Text(Translations.of(context).faqDesc22,
                      // "• Select a chhotastock from your “Investments” page",
                      style: TextStyle(fontSize: 12.0)),
                  Text(Translations.of(context).faqDesc23,
                      //"• Click on Exit chhotastock button & place the order",
                      style: const TextStyle(fontSize: 12.0)),
                  const SizedBox(height: 10),
                  Text(Translations.of(context).faqDesc24,
                      // "Good to know: You can partially exit a chhotastock only when you place an Invest more order.",
                      style: const TextStyle(fontSize: 12.0)),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc25,
          // "Which are the broker platforms currently live with chhotastock?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(Translations.of(context).faqDesc26,
                    // "We are currently available on the following brokers. If you have an account with any of them, just click on the broker name to log in and explore.",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  const SizedBox(
                    height: 10,
                  ),
                  Text(Translations.of(context).faqDesc27,
                    // "If you don't, you will need to open a Demat & trading account with one of them to invest in chhotastock.",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                  const Text("• Alice Blue", style: TextStyle(fontSize: 12.0)),
                  const Text("• Angel One", style: TextStyle(fontSize: 12.0)),
                  const Text("• AxisDirect", style: TextStyle(fontSize: 12.0)),
                  const Text("• Edelweiss", style: TextStyle(fontSize: 12.0)),
                  const Text("• Groww", style: TextStyle(fontSize: 12.0)),
                  const Text("• HDFC Securities", style: TextStyle(fontSize: 12.0)),
                  const Text("• IIFL Securities", style: TextStyle(fontSize: 12.0)),
                  const Text("• Kotak Securities", style: TextStyle(fontSize: 12.0)),
                  const Text("• Motilal Oswal", style: TextStyle(fontSize: 12.0)),
                  const  Text("• Trustline", style: TextStyle(fontSize: 12.0)),
                  const  Text("• Upstox", style: TextStyle(fontSize: 12.0)),
                  const Text("• Zerodha", style: TextStyle(fontSize: 12.0)),
                  const Text("• 5paisa", style: TextStyle(fontSize: 12.0)),
                  const SizedBox(
                    height: 10,
                  ),
                  Text(Translations.of(context).faqDesc28,
                    // "Good to know: We are live with Kotak Securities, 5paisa and Zerodha for opening a new Dmat account",
                    style: const TextStyle(
                      fontSize: 12.0,
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
      ],
    ),
    CategoryCard(
      title:Translations.of(context).faqDesc29,
      // "DMAT Account",
      desc: Translations.of(context).faqDesc30,
      // "Procedure, KYC documents & more",
      qanda: <QandA>[
        QandA(Translations.of(context).faqDesc31,
          // "What is a dmat account?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children:[
                  Text(Translations.of(context).faqDesc32,
                    // "A Demat account—short for dematerialised account—is an account that allows you to hold company shares and securities electronically.\n\nYou can hold dematerialised securities such as stocks, mutual funds, bonds, exchange-traded funds (ETFs), etc. in a demat account.\n\nSo when you place an order to buy a stock, the shares get credited to your demat account. Similarly, when you choose to sell your shares, they get debited from your demat account.",
                    style: const TextStyle(fontSize: 12.0),
                  ),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc33,
          // "How to open a dmat account?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(Translations.of(context).faqDesc34,
                    // "Click on the \"Open Account\" button and follow the steps. Enter the email address, name and phone number and Click on \"Continue\"",
                    style: const TextStyle(fontSize: 12.0),
                  ),
                  const SizedBox(height: 20),
                  Text(Translations.of(context).faqDesc35,
                    // "Choose the broker you want to open the DMAT account with. Right now, we support opening new DMAT accounts with 3 brokers.",
                    style: const TextStyle(fontSize: 12.0),
                  ),
                 const  SizedBox(
                    height: 20,
                  ),
                  const ErrorNetworkImageWidget(
                    src: "https://assets.chhotastock.com/app/broker_list.png",
                    height: 400,
                  ),
                  const SizedBox(
                    height: 20,
                  ),
                  const Text("• Kotak Securities - Free DMAT",
                      style: TextStyle(fontSize: 12.0)),
                  const  Text("• 5paisa - Free DMAT",
                      style: TextStyle(fontSize: 12.0)),
                  const Text("• Zerodha - ₹200 Opening charges",
                      style: TextStyle(fontSize: 12.0)),
                  const SizedBox(height: 20),
                  Text(Translations.of(context).faqDesc36,
                    // "Once you select the broker you want to open the DMAT account with, be ready with the following KYC documents and Click on \"Continue\". You will be redirected to the broker page to complete the rest of the KYC procedures.",
                    style: const TextStyle(fontSize: 12.0),
                  ),
                  const SizedBox(
                    height: 20,
                  ),
                  const ErrorNetworkImageWidget(
                    src: "https://assets.chhotastock.com/app/kyc_list.png",
                    height: 400,
                  ),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc37,
          // "What are the documents required for opening a DMAT account?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children:[
                  Text(Translations.of(context).faqDesc38,
                    // "You need to verify your PAN, date of birth, bank account number & IFSC Code. You will have to e-verify with the help of Aadhaar. Once verified you will have to upload your signature either signed/scanned on a white sheet or digitally signing on the KYC form.",
                    style:const  TextStyle(fontSize: 12.0),
                  ),
                  const SizedBox(
                    height: 20,
                  ),
                  const ErrorNetworkImageWidget(
                    src: "https://assets.chhotastock.com/app/kyc_list.png",
                    height: 400,
                  ),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc39,
          // "Are there any charges for opening a DMAT account?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children:  [
                  Text(Translations.of(context).faqDesc40,
                    // "Every broker have different charges for opening the DMAT Account. Right now, we support opening a new account with 3 brokers. You can open a FREE DMAT account with Kotak Securities or 5paisa. Zerodha charges ₹200 for opening a new DMAT Account.",
                    style: const TextStyle(fontSize: 12.0),
                  ),
                  const SizedBox(
                    height: 20,
                  ),
                  const Text("• Kotak Securities - Free DMAT",
                      style: TextStyle(fontSize: 12.0)),
                  const Text("• 5paisa - Free DMAT",
                      style: TextStyle(fontSize: 12.0)),
                  const Text("• Zerodha - ₹200 Opening charges",
                      style: TextStyle(fontSize: 12.0)),
                  const SizedBox(height: 20),
                  const ErrorNetworkImageWidget(
                    src: "https://assets.chhotastock.com/app/broker_list.png",
                    height: 400,
                  ),
                ],
              ),
            ),
          ],
        ),
      ],
    ),
    CategoryCard(
      title: Translations.of(context).funds,
      desc: Translations.of(context).faqDesc41,
      //"Add & withdraw funds from your DMAT Account",
      qanda: <QandA>[
        QandA(Translations.of(context).faqDesc42,
          // "My available funds are low to place the order, what should I do?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(Translations.of(context).faqDesc43,
                      // "In the absence of sufficient funds in your trading account, you are requested to add funds and place the order again.",
                      style: TextStyle(fontSize: 12.0)),
                  SizedBox(height: 10),
                  Text(Translations.of(context).faqDesc44,
                      // "chhotastock doesn't have separate account for funds. The funds that you have in your broker account will simply reflect here > So add funds to your broker account and place the order in case of insufficient funds.",
                      style: const TextStyle(fontSize: 12.0)),
                ],
              ),
            ),
          ],
        ),
        QandA(Translations.of(context).faqDesc45,
            // "How to add funds to my dmat account?",

            <Widget>[
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 14.0),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(Translations.of(context).faqDesc46,
                  // "chhotastock doesn't have separate account for funds. All your funds are managed by your broker. You can add funds to your DMAT account by downloading/visiting your broker application and transfering funds from your mapped bank account using UPI(Google Play, Phonepe, BHIM, etc.) or Net banking",
                  style: const TextStyle(fontSize: 12.0),
                ),
                const SizedBox(height: 20),
                InkWell(
                  onTap: () => _launchURL(
                      "https://support.zerodha.com/category/funds/adding-funds/how-to-add-funds/articles/add-money-using-upi-to-my-trading-account"),
                  child:  Text(Translations.of(context).faqDesc47,
                    // "• How to add funds to my Zerodha account?",
                    textAlign: TextAlign.start,
                    overflow: TextOverflow.ellipsis,
                    style:const  TextStyle(
                      fontSize: 12.0,
                      decoration: TextDecoration.underline,
                      decorationColor: Color(0xFF0175c2),
                      color: Color(0xFF0175c2),
                    ),
                  ),
                ),
                const SizedBox(height: 8),
                InkWell(
                  onTap: () => _launchURL(
                      "https://www.kotaksecurities.com/ksweb/faqs/Money-Transfer/Money-transfer-faqs"),
                  child: Text(Translations.of(context).faqDesc48,
                    // "• How to add funds to my Kotak Securities account?",
                    textAlign: TextAlign.start,
                    style: const TextStyle(
                      fontSize: 12.0,
                      decoration: TextDecoration.underline,
                      decorationColor: Color(0xFF0175c2),
                      color: Color(0xFF0175c2),
                    ),
                  ),
                ),
                const SizedBox(height: 8),

                InkWell(
                  onTap: () =>
                      _launchURL("https://www.5paisa.com/modes-of-payment"),
                  child:  Text(Translations.of(context).faqDesc49,
                    // "• How to add funds to my 5paisa account?",
                    textAlign: TextAlign.start,
                    style: const TextStyle(
                      fontSize: 12.0,
                      decoration: TextDecoration.underline,
                      decorationColor: Color(0xFF0175c2),
                      color: Color(0xFF0175c2),
                    ),
                  ),
                ),
                const SizedBox(height: 8),

              ],
            ),
          ),
        ]),
        QandA(Translations.of(context).faqDesc50,
          // "How to withdraw funds from my dmat account?",
          <Widget>[
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 14.0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(Translations.of(context).faqDesc51,
                    // "After you exit any chhotastock either fully or partially, the amount will be credited back to your trading account fund balance. To withdraw, you have to place a withdrawal request with your broker.",
                    style: TextStyle(fontSize: 12.0),
                  ),
                  const SizedBox(height: 20),
                  InkWell(
                    onTap: () => _launchURL(
                        "https://support.zerodha.com/category/funds/fund-withdrawal"),
                    child: Text(Translations.of(context).faqDesc52,
                      // "• How to add withdraw funds from my Zerodha account?",
                      textAlign: TextAlign.start,
                      style: const TextStyle(
                        fontSize: 12.0,
                        decoration: TextDecoration.underline,
                        decorationColor: Color(0xFF0175c2),
                        color: Color(0xFF0175c2),
                      ),
                    ),
                  ),
                  const SizedBox(height: 8),

                  InkWell(
                    onTap: () => _launchURL(
                        "https://www.kotaksecurities.com/ksweb/faqs/Money-Transfer/Money-transfer-faqs"),
                    child:Text(Translations.of(context).faqDesc53,
                      // "• How to withdraw funds from my Kotak Securities account?",
                      textAlign: TextAlign.start,
                      style: const TextStyle(
                        fontSize: 12.0,
                        decoration: TextDecoration.underline,
                        decorationColor: Color(0xFF0175c2),
                        color: Color(0xFF0175c2),
                      ),
                    ),
                  ),
                  const SizedBox(height: 8),

                  InkWell(
                    onTap: () => _launchURL(
                        "https://forum.5paisa.com/portal/en/kb/articles/how-to-withdrawal-fund-from-trading-account-through-5paisa-mobile-app"),
                    child: Text(Translations.of(context).faqDesc54,
                      // "• How to withdraw funds from my 5paisa account?",
                      textAlign: TextAlign.start,
                      overflow: TextOverflow.ellipsis,
                      style:const TextStyle(
                        fontSize: 12.0,
                        decoration: TextDecoration.underline,
                        decorationColor: Color(0xFF0175c2),
                        color: Color(0xFF0175c2),
                      ),
                    ),
                  ),
                  const SizedBox(height: 8),

                ],
              ),
            ),
          ],
        ),
      ],
    ),
  ];
}

List<Widget> categoryCards(BuildContext context) {
  return [
    FAQCategoryCard(
        title: "Chhotastock", desc: Translations.of(context).faqDesc57,
    // "Discover, Buy, Setup SIP, Exit & more"
    ),
    FAQCategoryCard(
        title: Translations.of(context).dmatAccount, desc: Translations.of(context).faqDesc56,
    //"Procedure, KYC documents & more"

    ),
    FAQCategoryCard(
        title: Translations.of(context).funds, desc: Translations.of(context).faqDesc55,
    // "Add & withdraw funds from your DMAT Account"
    ),
  ];
}
