import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/commonWidget/src/error_image_widget.dart';
import 'package:chhota_stocks_flutter/src/feature/saveLead/ui/lead_gen_btn.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class FAQHeaderBanner extends StatelessWidget {
  const FAQHeaderBanner([Key? key]) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 18),
      child: Container(
        height: 165,
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(8),
          gradient: const LinearGradient(
            colors: [
              Color(0xFFeaf3f0),
              Color(0xFFeaf3f0),
            ],
            begin: FractionalOffset(0.0, 0.0),
            end: FractionalOffset(1.0, 0.0),
            stops: [0.0, 1.0],
            tileMode: TileMode.clamp,
          ),
        ),
        child: Stack(
          children: [
            Positioned(
              right: 10,
              bottom: 10,
              child: SvgPicture.network(
                "https://assets.chhotastock.com/app/savings.svg",
                height: 100,
              ),
            ),
            Container(
                padding: const EdgeInsets.only(
                    top: 18, bottom: 18, left: 18, right: 120),
                child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(Translations.of(context).learnCardTxt1,
                        // "Need help? We are always here!",
                        overflow: TextOverflow.ellipsis,
                        style: const TextStyle(
                          fontSize: 12,
                        ),
                      ),
                      const SizedBox(
                        height: 10,
                      ),
                      Text(Translations.of(context).learnCardTxt2,
                        // "Move forward in your chhotastock journey with these FAQs & Videos",
                        style: const TextStyle(
                          fontWeight: FontWeight.bold,
                          fontSize: 15,
                        ),
                      ),
                      const LeadGenButton()
                    ])),
          ],
        ),
      ),
    );
  }
}
