import 'package:flutter/material.dart';

class FAQQuestionList extends StatefulWidget {
  final String? title;
  final List<Widget> desc;
  const FAQQuestionList({Key? key, this.title, required this.desc})
      : super(key: key);

  @override
  State<FAQQuestionList> createState() => _FAQQuestionListState();
}

class _FAQQuestionListState extends State<FAQQuestionList> {
  bool isExpaned=false;
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.symmetric(vertical: 8.0),
    //  width: MediaQuery.of(context).size.width,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(8),
        border: Border.all(color: const Color(0xFFdde0e4)),
        gradient: const LinearGradient(
          colors: [
            Color(0xFFf0f1fc),
            Color(0xFFf0f1fc),
          ],
          begin: FractionalOffset(0.0, 0.0),
          end: FractionalOffset(1.0, 0.0),
          stops: [0.0, 1.0],
          tileMode: TileMode.clamp,
        ),
      ),
      child: Theme(
        data: ThemeData().copyWith(dividerColor: Colors.transparent),
        child: ExpansionTile(
          childrenPadding: const EdgeInsets.only(bottom: 10.0),

          trailing:  CircleAvatar(
            radius: 10,
            backgroundColor: Colors.white,
            child: AnimatedSwitcher(
              duration: const Duration(milliseconds: 500),
              transitionBuilder: (Widget child, Animation<double> animation) {
                return FadeTransition(opacity: animation, child: child);
              },
              child: isExpaned?const Icon(
                Icons.arrow_drop_up,
                size: 20.0,
                color: Colors.deepPurple,
              ):const Icon(
                Icons.arrow_drop_down,
                size: 20.0,
                color: Colors.deepPurple,
              ),
            ),
          ),
          onExpansionChanged: (bool? isExpandedVal){
            setState(() {
              isExpaned=isExpandedVal??isExpaned;
            });
          },
          title: Text(
            widget.title!,
            style: const TextStyle(
              fontSize: 12.0,
              fontWeight: FontWeight.bold,
            ),
          ),
          children: widget.desc,
        ),
      ),
    );
  }
}
