import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/commonWidget/src/error_image_widget.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq_data.dart';
import 'package:chhota_stocks_flutter/src/feature/faq/ui/faq_question_list.dart';
import 'package:chhota_stocks_flutter/src/feature/saveLead/ui/lead_gen_btn.dart';
import 'package:flutter/material.dart';

class FAQQuestionModal extends StatelessWidget {
  final String? title;
  final String? desc;
  final List<QandA>? qanda;
  const FAQQuestionModal({Key? key, this.title, this.desc, this.qanda})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(vertical: 30, horizontal: 18.0),
      height: MediaQuery.of(context).size.height,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            title!,
            style: const TextStyle(
              fontSize: 16.0,
              fontWeight: FontWeight.bold,
            ),
          ),
          const SizedBox(
            height: 5,
          ),
          Text(
            desc!,
            style: const TextStyle(
              fontSize: 14.0,
              fontWeight: FontWeight.normal,
              color: Colors.grey,
            ),
          ),
          const SizedBox(
            height: 20,
          ),
          Expanded(
            child: ListView.builder(
              itemCount: qanda!.length,
              itemBuilder: (_, index) {
                return FAQQuestionList(
                  title: qanda![index].question,
                  desc: qanda![index].answer,
                );
              },
            ),
          )
        ],
      ),
    );
  }
}
