import 'dart:convert';

import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/transactionCallback/model/transaction_callback_onsuccess.dart';
import 'package:equatable/equatable.dart';
import 'package:scgateway_flutter_plugin/scgateway_flutter_plugin.dart';

part 'funds_state.dart';

class FundsCubit extends Cubit<FundsState> {
  FundsCubit() : super(FundsInitial());


  Future<void> getFundDetails(String txnId,{bool isFromPortfolioFunds=false})async{
    if(state is FundsSuccess&&isFromPortfolioFunds==false){
      return;
    }

    final data=await ScgatewayFlutterPlugin.triggerGatewayTransaction(txnId);
     emit(FundsLoading());
    try {
      if (data!= null && data.isNotEmpty) {
        final dataFunds=jsonDecode(data);
        final value = jsonDecode(dataFunds["data"]);

        final  transactionCallbackOnSuccess =
            TransactionCallbackOnSuccess.fromJson(value);

        emit(FundsSuccess(transactionCallbackOnSuccess: transactionCallbackOnSuccess));
      }else{
        emit(const FundsError());
      }
    } catch (e) {
      emit(const FundsError());
    }

  }


  Future<void> portfolioFunds()async{
    emit(FundsLoading());
    final response=await APIService.getInstance().brokerFunds();

    if(response.success!=null&&response.success!&&response.txnData?.transactionId!=null){
      getFundDetails(response.txnData!.transactionId!,isFromPortfolioFunds: true);
    }else{
      emit(const FundsError());
    }

  }
}
