import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/core/config/chhota_stocks_config.dart';
import 'package:chhota_stocks_flutter/src/feature/initSDK/model/init_sdk_model.dart';
import 'package:equatable/equatable.dart';
import 'package:flutter/cupertino.dart';

part 'init_sdk_state.dart';

class InitSdkCubit extends Cubit<InitSdkState> {
  InitSdkCubit() : super(InitSdkInitial());

  Future<void> initSDK()async{
     emit(const InitSdkLoading());

     final response= await APIService.getInstance().initSDK(ChhotaStocksConfig.getInstance().mobile);

     print("Response--- ${response.userDoesnotExist}");

     if(response.gatewayToken!=null&&response.gatewayName!=null){
       await ChhotaStocksConfig.getInstance()
           .initSCGatewayPlugin(scGatewayName: response.gatewayName!,scGatewayToken: response.gatewayToken!);

       ///Setting gateway token
      APIService.getInstance().setPartnerGatewayToken(response.gatewayToken!);
      ChhotaStocksConfig.getInstance().setGuestUser(response.isGuestUser??true);

       emit(InitSdkSuccess(
           name: response.userName??"",
           fundsTransaction: response.fundsTransaction,
           licLink: response.licLink,
           scGatewayName: response.gatewayName!, scGatewayToken: response.gatewayName!,isGuestUser: response.isGuestUser??true));
     }else if(response.errorMsg!=null&&response.errorMsg!.contains("403")){
       emit(const InitSdkUserDoesNotExist());
     }else{
       String? errorMsg=response.error??response.errorMsg;
       debugPrint("Error:${errorMsg}");
       emit(InitSdkFailed(errorMsg: errorMsg??"Something went wrong."));
     }



  }
}
