part of 'init_sdk_cubit.dart';

abstract class InitSdkState extends Equatable {
  const InitSdkState();
}

class InitSdkInitial extends InitSdkState {
  @override
  List<Object> get props => [];
}


class InitSdkSuccess extends InitSdkState{
   final String scGatewayName;
   final String scGatewayToken;
   final bool isGuestUser;
   final String name;
   final FundsTransaction? fundsTransaction;
   final String? licLink;

   const InitSdkSuccess({required this.scGatewayName,required this.scGatewayToken,required this.isGuestUser,required this.name,
    this.fundsTransaction,this.licLink
   });

   InitSdkSuccess copyWith({bool? isGuestUser,String? scGatewayName,String? scGatewayToken,String? name,
     FundsTransaction? fundsTransaction,String? licLink
   }){

     return InitSdkSuccess(
       isGuestUser: isGuestUser??this.isGuestUser,
       scGatewayToken: scGatewayToken??this.scGatewayToken,
       scGatewayName:scGatewayName??this.scGatewayName,
       name: name??this.name,
       fundsTransaction: fundsTransaction??this.fundsTransaction,
       licLink: licLink??this.licLink
     );

   }


   @override
   List<Object> get props=>[scGatewayName,scGatewayToken];

}

class InitSdkFailed extends InitSdkState{
  final String errorMsg;

  const InitSdkFailed({this.errorMsg="Failed to Initialise Chhota Stocks SDK."});

  @override
  List<Object> get props=>[errorMsg];
}


class InitSdkLoading extends InitSdkState{
  const InitSdkLoading();
  @override
  List<Object> get props=>[];
}


class InitSdkUserDoesNotExist extends InitSdkState{
  const InitSdkUserDoesNotExist();
  @override
  List<Object> get props=>[];
}


