import 'package:json_annotation/json_annotation.dart';
part 'init_sdk_model.g.dart';


@JsonSerializable()
class InitSDKModel{
  int? code;
  String? error;

  @JsonKey(name:"gateway_name")
  String? gatewayName;

  @JsonKey(name:"gateway_token")
  String? gatewayToken;
  
  bool? status;

  String? errorMsg;
  @JsonKey(name:"is_guest_user")
  bool? isGuestUser;

  @JsonKey(name: "user_name")
  String? userName;

  @JsonKey(name: "funds_transaction")
  FundsTransaction? fundsTransaction;

  bool? userDoesnotExist;

  @JsonKey(name: "ipo_link")
  String? licLink;



  InitSDKModel({this.code,this.error,this.gatewayName,this.gatewayToken,
    this.status,this.isGuestUser,this.userName,this.fundsTransaction,this.userDoesnotExist,this.licLink});
  InitSDKModel.withError({required String errorMsg}):this.errorMsg=errorMsg;
  

factory InitSDKModel.fromJson(Map<String, dynamic> json) => _$InitSDKModelFromJson(json);

Map<String, dynamic> toJson() => _$InitSDKModelToJson(this);

}


@JsonSerializable()
class FundsTransaction{
  String? expireAt;
  String? transactionId;

  FundsTransaction({this.expireAt,this.transactionId});

  factory FundsTransaction.fromJson(Map<String, dynamic> json) => _$FundsTransactionFromJson(json);

}