import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/core/config/chhota_stocks_config.dart';
import 'package:chhota_stocks_flutter/src/feature/initSDK/bloc/init_sdk_cubit.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

Widget get leadingBackButton=> IconButton(onPressed: (){
if( ChhotaStocksConfig.getInstance().onSDKClose!=null){
ChhotaStocksConfig.getInstance().onSDKClose!();
ChhotaStocksConfig.getInstance().logoutChhotaStocks();

}
}, icon: const Icon(Icons.arrow_back,size: 24,color: Colors.black,),

);


final homeAppBar = AppBar(
  systemOverlayStyle: appBarStyle,
  elevation: 0,
  centerTitle: false,
  title: const _DiscoverHeader(),
   leading:leadingBackButton,
);

final investmentAppBar = AppBar(
  systemOverlayStyle: appBarStyle,
  elevation: 0,
  centerTitle: false,
  leading: leadingBackButton,
  title: const _InvestmentHeader(),
);

final faqAppBar = AppBar(
  systemOverlayStyle: appBarStyle,
  elevation: 0,
  centerTitle: false,
  leading: leadingBackButton,
  title: const _FAQHeader(),
);

final accountAppBar = AppBar(
  systemOverlayStyle: appBarStyle,
  elevation: 0,
  centerTitle: false,
  leading: leadingBackButton,
  title: const _AccountHeader(),
);

class _DiscoverHeader extends StatelessWidget {
  const _DiscoverHeader({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Column(
        crossAxisAlignment: CrossAxisAlignment.start,

        children: [
      const SizedBox(
        height: 10,
      ),
      Text(
        Translations.of(context).portFolio,
        style: const TextStyle(
          color: Colors.black,
        ),
      ),
      const SizedBox(
        height: 5,
      ),
      Text(
        Translations.of(context).portfolioDesc,
        style: const TextStyle(
          color: Colors.grey,
          fontSize: 14,
          fontWeight: FontWeight.w400,
        ),
      ),
    ]);
  }
}

class _InvestmentHeader extends StatelessWidget {
  const _InvestmentHeader({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children:  [
          const SizedBox(
            height: 10,
          ),
          Text(Translations.of(context).investment,
            //"Investments",
            style: const TextStyle(
              color: Colors.black,
            ),
          ),
          const  SizedBox(
            height: 5,
          ),
          Text(Translations.of(context).summaryInsightsTxt,
            // "Summary, insights and more",
            overflow: TextOverflow.ellipsis,
            style: const TextStyle(
              color: Colors.grey,
              fontSize: 14,
              fontWeight: FontWeight.w400,
            ),
          ),
        ]);
  }
}

class _FAQHeader extends StatelessWidget {
  const _FAQHeader({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children:  [
          const  SizedBox(
            height: 10,
          ),
          Text(Translations.of(context).learnCTA,
           // "Learn",
            style: const TextStyle(
              color: Colors.black,
            ),
          ),
          const  SizedBox(
            height: 5,
          ),
          Text(Translations.of(context).learnDesc1,
            // "Read, Learn and start your savings journey.",
            style:const  TextStyle(
              color: Colors.grey,
              fontSize: 14,
              fontWeight: FontWeight.w400,
            ),
          ),
        ]);
  }
}

class _AccountHeader extends StatelessWidget {
  const _AccountHeader({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return BlocBuilder<InitSdkCubit,InitSdkState>(
        builder: (context,state){
          if(state is InitSdkSuccess){
            return Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children:  [
                  const SizedBox(
                    height: 10,
                  ),
                  Text(
                    "Hello,${state.name}!",
                    overflow: TextOverflow.ellipsis,
                    style: const TextStyle(
                      color: Colors.black,
                    ),
                  ),
                  const SizedBox(
                    height: 5,
                  ),
                  Text(Translations.of(context).fundsOrderMore,
                    // "Funds, Orders and more",
                    style: const TextStyle(
                      color: Colors.grey,
                      fontSize: 14,
                      fontWeight: FontWeight.w400,
                    ),
                  ),
                ]);
          }

          return Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children:  [
                const SizedBox(
                  height: 10,
                ),
                Text(
                  "Hello,${ChhotaStocksConfig.getInstance().mobile}!",
                  style: const TextStyle(
                    color: Colors.black,
                  ),
                ),
                const SizedBox(
                  height: 5,
                ),
                Text(Translations.of(context).fundsOrderMore,
                  // "Funds, Orders and more",
                  style: const TextStyle(
                    color: Colors.grey,
                    fontSize: 14,
                    fontWeight: FontWeight.w400,
                  ),
                ),
              ]);
        }

    );


  }
}

const appBarStyle = SystemUiOverlayStyle(
  statusBarColor: Colors.white,
  statusBarIconBrightness: Brightness.dark,
  statusBarBrightness: Brightness.light,
);
