import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/commonWidget/src/error_image_widget.dart';
import 'package:chhota_stocks_flutter/src/feature/saveLead/ui/lead_gen_btn.dart';
import 'package:flutter/material.dart';

class HomeHeaderCardDesc extends StatelessWidget {
  const HomeHeaderCardDesc([Key? key]) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 18),
      child: Container(
        height: 165,
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(8),
          gradient: const LinearGradient(
            colors: [
              Color(0xFFfaf1eb),
              Color(0xFFe4bdab),

            ],
            begin: FractionalOffset(0.0, 0.0),
            end: FractionalOffset(1.0, 0.0),
            stops: [0.0, 1.0],
            tileMode: TileMode.clamp,
          ),
        ),
        child: Stack(
          children: [
            const Positioned(
              right: 0,
              bottom: 0,
              child: ErrorNetworkImageWidget(
                height: 100,
                src: "https://assets.chhotastock.com/app/banner_image.png",
              ),
            ),
            Container(
                padding: const EdgeInsets.only(
                    top: 18, bottom: 18, left: 18, right: 100),
                child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        Translations.of(context).homeCardDec1,
                        style: const TextStyle(
                          fontSize: 12,
                        ),
                      ),
                      const SizedBox(
                        height: 10,
                      ),
                      Text(Translations.of(context).homeCardPromotionTxt1,
                        // "Create SIP & get stable returns at low risk with minimal fees.",

                        style: const TextStyle(
                          fontWeight: FontWeight.bold,
                          fontSize: 15,
                        ),
                      ),
                      const LeadGenButton(labelTxt: "Start Now",)
                    ])),
          ],
        ),
      ),
    );
  }
}
