import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/moreDetails/model/more_details_model.dart';
import 'package:equatable/equatable.dart';

part 'more_details_state.dart';

class MoreDetailsCubit extends Cubit<MoreDetailsState> {
  MoreDetailsCubit() : super(MoreDetailsInitial());

  Future<void> getMoreDetailsOfSmallcase({required String scid})async{
    emit(MoreDetailsInitial());
    emit(MoreDetailsLoading());

   final response=await APIService.getInstance().moreDetails(scid: scid);

   if(response.moreDetailsResult?.moreDetailsData!=null){
     emit(MoreDetailsSuccess(
         moreDetailsModel: response,
         moreDetailsData: response.moreDetailsResult!.moreDetailsData!));
   }else{
     emit(MoreDetailsError(errorMsg: response.errorMsg??"Something went wrong."));
   }


  }
}
