part of 'more_details_cubit.dart';

abstract class MoreDetailsState extends Equatable {
  const MoreDetailsState();
}

class MoreDetailsInitial extends MoreDetailsState {
  @override
  List<Object> get props => [];
}


class MoreDetailsSuccess extends MoreDetailsState{
  final MoreDetailsData moreDetailsData;

  final MoreDetailsModel moreDetailsModel;
  const MoreDetailsSuccess({required this.moreDetailsData,required this.moreDetailsModel});

  @override
  List<Object> get props=>[moreDetailsData,moreDetailsModel];
}


class MoreDetailsLoading extends MoreDetailsState{
  @override
  List<Object> get props=>[];
}

class MoreDetailsError extends MoreDetailsState{
  final String errorMsg;
  const MoreDetailsError({this.errorMsg="Something went wrong."});
  @override
  List<Object> get props=>[];

}
