import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/news/models/news_model.dart';
import 'package:equatable/equatable.dart';

part 'news_state.dart';

class NewsCubit extends Cubit<NewsState> {
  NewsCubit() : super(NewsInitial());


  Future<void> getNews({required String scid})async{
    emit(NewsLoading());

    final response=await APIService.getInstance().getNews(scid: scid);

    if(response.newsResult?.newsResultData!=null&&response.newsResult!.newsResultData!.isNotEmpty){
      emit(NewsSuccess(newsResultData: response.newsResult!.newsResultData!));
    }else{
      emit(NewsError(errorMsg: response.error??"Something went wrong."));
    }
  }
}
