part of 'news_cubit.dart';

abstract class NewsState extends Equatable {
  const NewsState();
}

class NewsInitial extends NewsState {
  @override
  List<Object> get props => [];
}


class NewsSuccess extends NewsState{
  final List<NewsResultData?> newsResultData;

  const NewsSuccess({required this.newsResultData});

  @override
  List<Object> get props=>[newsResultData];
}


class NewsError extends NewsState{
  final String errorMsg;
  const NewsError({required this.errorMsg});

  @override
  List<Object> get props=>[errorMsg];
}


class NewsLoading extends NewsState{
  @override
  List<Object> get props=>[];
}