import 'package:json_annotation/json_annotation.dart';


part 'news_model.g.dart';
@JsonSerializable()
class NewsModel{
  int? code;
  String? error;
  bool? status;
  @JsonKey(name:"result")
  NewsResult? newsResult;

  NewsModel({this.code,this.error,this.status,this.newsResult});

  NewsModel.withError({required String errorMsg}):this.error=errorMsg;

  factory NewsModel.fromJson(Map<String, dynamic> json) => _$NewsModelFromJson(json);
}


@JsonSerializable()
class NewsResult{
  String? errors;
  bool? success;

  @JsonKey(name:"data")
  List<NewsResultData?>? newsResultData;

  NewsResult({this.errors,this.success,this.newsResultData});

  factory NewsResult.fromJson(Map<String, dynamic> json) => _$NewsResultFromJson(json);





}

@JsonSerializable()
class NewsResultData{

  @JsonKey(name: "_id")
  String? id;

  String? createdAt;
  String? date;
  String? headline;

  String? imageUrl;
  String? link;
  String? summary;
  String? updatedAt;
  Publisher? publisher;

  List<Stocks?>? stocks;




  NewsResultData({this.id,this.createdAt,this.date,this.headline,this.imageUrl,this.link,this.summary,this.updatedAt,this.publisher,this.stocks});

  factory NewsResultData.fromJson(Map<String, dynamic> json) => _$NewsResultDataFromJson(json);


}

@JsonSerializable()
class Stocks{
  num? initialPrice;
  String? sid;

  Stocks({this.initialPrice,this.sid});
  factory Stocks.fromJson(Map<String, dynamic> json) => _$StocksFromJson(json);



}

@JsonSerializable()
class Publisher{

  String? logo;
  String? name;
  String? publisherId;
  Publisher({this.logo,this.name,this.publisherId});

  factory Publisher.fromJson(Map<String, dynamic> json) => _$PublisherFromJson(json);



}