import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/news/bloc/news_cubit.dart';
import 'package:chhota_stocks_flutter/src/feature/news/ui/news_card.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class NewsWidget extends StatelessWidget {
  const NewsWidget({Key? key}):super(key: key);
  @override
  Widget build(BuildContext context) {
    return BlocBuilder<NewsCubit,NewsState>(
        builder: (context,state){

          if(state is NewsSuccess){
            return  Padding(
              padding: const EdgeInsets.only(bottom: 32.0),
              child: Column(
                children: [
                  Align(
                      alignment: Alignment.centerLeft,
                      child:  Padding(
                        padding: EdgeInsets.only(left:12.0),
                        child: Text(
                          Translations.of(context).latestNew,
                          overflow: TextOverflow.ellipsis,
                         // "Latest News",
                        )
                        ,
                      )),
                  const SizedBox(height: 8,),
                  ListView(
                   shrinkWrap: true,
                    physics: const NeverScrollableScrollPhysics(),
                    children: state.newsResultData.map((newsResultData){
                        if(newsResultData==null){
                          return const SizedBox();
                        }
                      return NewsCard(newsResultData: newsResultData);
                    }).toList(),
                  ),
                ],
              ),
            );
          }

          return const SizedBox();

    });


  }
}
