import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/orderStatement/model/order_statement.dart';
import 'package:equatable/equatable.dart';

part 'order_statement_state.dart';

class OrderStatementCubit extends Cubit<OrderStatementState> {
  OrderStatementCubit() : super(OrderStatementInitial());


  Future<void> getOrderStatement()async{
    emit(OrderStatementLoading());

    final response=await APIService.getInstance().orderStatement();

    if(response.success!=null&&response.success!&&response.orderSatementData!=null){
      emit(OrderStatementSuccess(orderSatementData: response.orderSatementData!));
    }else{
      emit(OrderStatementError(errorMsg: response.errors??"Something went wrong."));
    }
  }
}
