part of 'order_statement_cubit.dart';

abstract class OrderStatementState extends Equatable {
  const OrderStatementState();
}

class OrderStatementInitial extends OrderStatementState {
  @override
  List<Object> get props => [];
}


class OrderStatementSuccess extends OrderStatementState{
  final OrderSatementData orderSatementData;

  const OrderStatementSuccess({required this.orderSatementData});
  @override
  List<Object> get props => [orderSatementData];
}


class OrderStatementError extends OrderStatementState{
  final String errorMsg;
  const OrderStatementError({required this.errorMsg});

  @override
  List<Object> get props=>[errorMsg];
}


class OrderStatementLoading extends OrderStatementState{
  @override
  List<Object> get props => [];
}

class OrderStatementEmpty extends OrderStatementState{
  @override
  List<Object> get props => [];
}
