import 'package:json_annotation/json_annotation.dart';

part 'order_statement.g.dart';
@JsonSerializable()
class OrderStatement{
  int? code;
  String? errors;
  bool? success;

  @JsonKey(name:"data")
  OrderSatementData? orderSatementData;

  OrderStatement.withError({String errMessage="Something went wrong."}):this.errors=errMessage;

  OrderStatement({this.code,this.errors,this.success,this.orderSatementData});

  factory OrderStatement.fromJson(Map<String, dynamic> json) => _$OrderStatementFromJson(json);

}


@JsonSerializable()
class OrderSatementData{

   String? broker;
   List<InvestedSmallcases>? investedSmallcases;

   OrderSatementData({this.broker,this.investedSmallcases});

   factory OrderSatementData.fromJson(Map<String, dynamic> json) => _$OrderSatementDataFromJson(json);
}

@JsonSerializable()
class InvestedSmallcases{
   String? imageUrl;
   String? iscid;

   String? name;
   String? scid;
   String? source;
   String? userId;
   List<Batches>? batches;

   InvestedSmallcases({this.imageUrl,this.iscid,this.name,this.scid,this.source,this.userId,this.batches});

   factory InvestedSmallcases.fromJson(Map<String, dynamic> json) => _$InvestedSmallcasesFromJson(json);


}




@JsonSerializable()
class Batches{
  String? batchId;
  num? buyAmount;
  String? completedDate;
  int? filled;
  String? label;
  String? originalLabel;
  int? quantity;
  num? sellAmount;
  String? status;
  String? transactionId;
  String? variety;
  List<Orders>? orders;
  List<Unplaced>? unplaced;


  Batches({this.batchId,this.buyAmount,this.completedDate,this.orders,this.filled,this.label,this.originalLabel,this.quantity,this.sellAmount,this.status,this.transactionId,this.variety,
  this.unplaced
  });
  factory Batches.fromJson(Map<String, dynamic> json) => _$BatchesFromJson(json);
}

@JsonSerializable()
class Unplaced{
  String? exchange;
  int? quantity;
  String? status;
  String? tradingsymbol;
  String? transactionType;

  Unplaced({this.exchange,this.quantity,this.status,this.tradingsymbol,this.transactionType});

  factory Unplaced.fromJson(Map<String, dynamic> json) => _$UnplacedFromJson(json);



}

@JsonSerializable()
class Orders{
  num? averagePrice;
  String? exchange;
  num? filledQuantity;
  String? orderType;
  String? product;
  int? quantity;
  String? status;
  String? tradingsymbol;
  String? transactionType;

  Orders({this.averagePrice,this.exchange,this.filledQuantity,this.product,this.orderType,this.quantity,this.status,this.tradingsymbol,this.transactionType});

  factory Orders.fromJson(Map<String, dynamic> json) => _$OrdersFromJson(json);
}