import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/model/portfolio_aggregate_model.dart';
import 'package:equatable/equatable.dart';

part 'aggregated_state.dart';

class AggregatedCubit extends Cubit<AggregatedState> {
  AggregatedCubit() : super(AggregatedInitial());


  Future<void> getPortfolioAggregate()async{
    emit(AggregatedLoading());

    final response=await APIService.getInstance().portfolioAggregate();

    if(response.success!=null&&response.success!&&response.data?.aggregated!=null){
      emit(AggregatedSuccess(aggregate: response.data!.aggregated!));
    }else{
      emit(AggregatedError(errorMsg:response.errors??"Something went wrong."));
    }
  }
}
