part of 'aggregated_cubit.dart';

abstract class AggregatedState extends Equatable {
  const AggregatedState();
}

class AggregatedInitial extends AggregatedState {
  @override
  List<Object> get props => [];
}



class AggregatedSuccess extends AggregatedState{
  final Aggregate aggregate;

  const AggregatedSuccess({required this.aggregate});

  @override
  List<Object> get props => [aggregate];

}


class AggregatedError extends AggregatedState{
  final String errorMsg;
  const AggregatedError({this.errorMsg="Something went wrong."});

  @override
  List<Object> get props => [errorMsg];
}


class AggregatedLoading extends AggregatedState{
  @override
  List<Object> get props => [];
}