import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/model/portfolio_summary_model.dart';
import 'package:equatable/equatable.dart';

part 'portfolio_summary_state.dart';

class PortfolioSummaryCubit extends Cubit<PortfolioSummaryState> {
  PortfolioSummaryCubit() : super(PortfolioSummaryInitial());


  Future<void> portfolioSummary()async{
    emit(PortfolioSummaryLoading());

    final response=await APIService.getInstance().portfolioSummary();

    if(response.success!=null&&response.success!&&response.portfolioSummaryDataList!=null&&response.portfolioSummaryDataList!.isNotEmpty){
      emit(PortfolioSummarySuccess(portfolioSummaryDataList: response.portfolioSummaryDataList!));
    }else if(response.success!=null&&response.success!&&response.portfolioSummaryDataList!=null&&response.portfolioSummaryDataList!.isEmpty){
      emit(PortfolioSummaryEmpty());
    }else{
      emit(PortfolioSummaryError(errorMsg: response.errors??"Something went wrong."));
    }
  }
}
