part of 'portfolio_summary_cubit.dart';

abstract class PortfolioSummaryState extends Equatable {
  const PortfolioSummaryState();
}

class PortfolioSummaryInitial extends PortfolioSummaryState {
  @override
  List<Object> get props => [];
}




class PortfolioSummarySuccess extends PortfolioSummaryState{
  final  List<PortfolioSummaryData?> portfolioSummaryDataList;

  const PortfolioSummarySuccess({required this.portfolioSummaryDataList});

  @override
  List<Object> get props => [portfolioSummaryDataList];

}


class PortfolioSummaryError extends PortfolioSummaryState{
  final String errorMsg;
  const PortfolioSummaryError({this.errorMsg="Something went wrong."});

  @override
  List<Object> get props => [errorMsg];
}


class PortfolioSummaryEmpty extends PortfolioSummaryState{
  @override
  List<Object> get props => [];
}


class PortfolioSummaryLoading extends PortfolioSummaryState{
  @override
  List<Object> get props => [];
}
