import 'package:json_annotation/json_annotation.dart';
part 'portfolio_aggregate_model.g.dart';

@JsonSerializable()
class PortfolioAggregateModel{
  int? code;

  AggregateData? data;
  String? errors;
  bool? success;


  PortfolioAggregateModel({this.code,this.data,this.errors,this.success});

  PortfolioAggregateModel.withError({String errorMsg="Something went wrong."}):
        this.errors=errorMsg;

  factory PortfolioAggregateModel.fromJson(Map<String, dynamic> json) => _$PortfolioAggregateModelFromJson(json);





}

@JsonSerializable()
class AggregateData{
   Aggregate? aggregated;

   AggregateData({this.aggregated});


   factory AggregateData.fromJson(Map<String, dynamic> json) => _$AggregateDataFromJson(json);


}

@JsonSerializable()
class Aggregate{
 num? currentInvestment;
 num? currentReturns;
 num? currentReturnsPercent;
 num? networth;
 num? totalReturns;
 num? totalReturnsPercent;

 num? currentValue;
 num? dividendReturns;



 Aggregate({this.currentInvestment,this.currentReturns,this.currentReturnsPercent,this.networth,this.totalReturns,this.totalReturnsPercent,
 this.currentValue,this.dividendReturns});

 factory Aggregate.fromJson(Map<String, dynamic> json) => _$AggregateFromJson(json);

}