import 'package:chhota_stocks_flutter/src/feature/createTransaction/ui/sip_btn.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/model/portfolio_summary_model.dart';
import 'package:flutter/material.dart';

import 'investment_details.dart';


class InvestmentCardModal extends StatelessWidget {
  final String iscid;

  final  Investment investment;
  final num? indexPercentChange;

  const InvestmentCardModal({Key? key,required this.iscid,required this.investment,required this.indexPercentChange}):super(key: key);
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 18.0,vertical: 18.0),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
         _Item(child: Text("${investment.name}",style: const TextStyle(fontSize: 16,fontWeight: FontWeight.w600),)),
          SIPButton(iscid: iscid,),
          _Item(
            child: InkWell(
              onTap: (){
                Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => InvestmentDetails(
                            indexPercentChange: indexPercentChange,
                            investment: investment)));
              },
              child: Row(
                children: const [
                  Icon(Icons.arrow_forward_ios_rounded,size: 20,),
                  SizedBox(width: 12.0,),
                  Text("See Original"),
                ],),
            ),
          ),



        ],
      ),
    );
  }
}


class _Item extends StatelessWidget {
  final Widget child;
  const _Item({Key? key,required this.child}):super(key: key);
  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        const SizedBox(height: 12,),
        child,
        const SizedBox(height: 12,),
        const Divider(color: Color(0xFFdde0e4),),
        
        
      ],
    );
  }
}
