import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/feature/initSDK/ui/home_app_bar.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/ui/aggregateUi/portfolio_card.dart';
import 'package:chhota_stocks_flutter/src/feature/portfolio/ui/investment/investment_list.dart';
import 'package:flutter/material.dart';

class InvestmentWidget extends StatelessWidget {
  const InvestmentWidget({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return NestedScrollView(
        headerSliverBuilder: (context, _) {
          return [
            SliverToBoxAdapter(
              child: investmentAppBar,
            ),


          ];
        },
        body: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children:  [
           const  SizedBox(
              height: 20,
            ),
           const  PortfolioCard(
              isOverview: true,
            ),
           const  SizedBox(
              height: 16,
            ),
            Padding(
              padding: const EdgeInsets.only(top: 16.0, left: 18, right: 18),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(Translations.of(context).myCS,
                    // "My Chhotastock",
                    style: const TextStyle(
                      color: Colors.black,
                      fontSize: 16,
                      fontWeight: FontWeight.w500,
                    ),
                  ),
                  const SizedBox(
                    height: 8,
                  ),
                  Container(
                    color: Colors.black,
                    height: 2,
                    width: 70,
                  ),
                  const SizedBox(
                    height: 8,
                  ),
                ],
              ),
            ),
            const Expanded(child:  InvestmentList()),
          ],
        ));
  }
}
