import 'package:chhota_stocks_flutter/src/feature/moreDetails/model/more_details_model.dart';
import 'package:flutter/material.dart';

class SIPActiveInactiveTxt extends StatelessWidget {
  final Flags flags;
  final String? recommendedAction;
  const SIPActiveInactiveTxt({Key? key,required this.flags,this.recommendedAction}):super(key: key);

  Color getColor(Flags _flags,String? recommendedAction){
    if(!_flags.sip!){
      return Colors.red.withOpacity(0.5);
    }else if(_flags.sip!&&recommendedAction!=null&&recommendedAction.toUpperCase().contains("SIP")){
      return Colors.deepOrange.withOpacity(0.5);
    }else{
      return Colors.green.withOpacity(0.5);
    }


  }

  String getTxt(Flags _flags,String? recommendedAction){
    if(!_flags.sip!){
      return "SIP Inactive";

    }else if(_flags.sip!&&recommendedAction!=null&&recommendedAction.toUpperCase().contains("SIP")){
      return "SIP Overdue";
    }else{
      return "SIP Active";
    }
  }

  @override
  Widget build(BuildContext context) {
    if(flags.sip==null){
      return const SizedBox();
    }
    return Container(
        height: 30,
        alignment: Alignment.center,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(8.0),
            border: Border.all(
              color: getColor(flags,recommendedAction),
            ),),
             child: Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 8.0),
                  child: Text(getTxt(flags,recommendedAction),
                    overflow: TextOverflow.ellipsis,
                    style: TextStyle(
                    fontSize: 10,fontWeight: FontWeight.w400,
                    color:  getColor(flags,recommendedAction)

    ),),
                ),
    );
  }
}
