import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:chhota_stocks_flutter/src/feature/sipDetails/model/sip_details_model.dart';
import 'package:equatable/equatable.dart';

part 'sip_details_state.dart';

class SipDetailsCubit extends Cubit<SipDetailsState> {
  SipDetailsCubit() : super(SipDetailsInitial());

  Future<void> getSipDetails({required String iscid})async{

    emit(SipDetailLoading());

    final response=await APIService.getInstance().sipDetails(iscid: iscid);

    if(response.success!=null&&response.success!&&response.sipData!=null){
      emit(SipDetailsSuccess(sipDetails: response));
    }else{
      emit(SipDetailsError(errorMsg: response.errorMsg??"Something went wrong.Please try again!"));
    }

  }
}
