import 'package:json_annotation/json_annotation.dart';
part 'sip_details_model.g.dart';


@JsonSerializable()
class SIPDetails{
  bool? success;

  @JsonKey(name: "data")
  SIPData? sipData;
  String? errorMsg;

  SIPDetails.withError({String errorMsg="Something went wrong."}):this.errorMsg=errorMsg;


  SIPDetails({this.success,this.sipData});

  factory SIPDetails.fromJson(Map<String, dynamic> json) => _$SIPDetailsFromJson(json);

}


@JsonSerializable()
class SIPData{
  num? amount;
  String? frequency;
  String? scheduledDate;
  String? scid;
  String? sipType;
  bool? sipActive;

  SIPData({this.amount,this.frequency,this.scheduledDate,this.scid,this.sipType,this.sipActive});

 factory SIPData.fromJson(Map<String, dynamic> json) => _$SIPDataFromJson(json);



}