import 'package:bloc/bloc.dart';
import 'package:chhota_stocks_flutter/src/core/api/api_service.dart';
import 'package:equatable/equatable.dart';
import 'package:scgateway_flutter_plugin/scgateway_flutter_plugin.dart';
import 'package:chhota_stocks_flutter/src/core/config/chhota_stocks_config.dart';

part 'transaction_callback_state.dart';

class TransactionCallbackCubit extends Cubit<TransactionCallbackState> {
  TransactionCallbackCubit() : super(TransactionCallbackInitial());


  Future<void> transactionCallback({required String txnId,required String smallcaseAuthId})async{
       emit(TransactionCallbackLoading());

       final response=await  APIService.getInstance().transactionCallback(txnId: txnId,smallcaseAuthId: smallcaseAuthId);

       if(response.success!=null&&response.success!){
         ///Reintialising small case with new token
         ScgatewayFlutterPlugin.initGateway(smallcaseAuthId);

         ///Setting new token
         APIService.getInstance().setPartnerGatewayToken(smallcaseAuthId);

         ///Change Chhota stocks config
         ChhotaStocksConfig.getInstance().setGuestUser(false);




         emit(const TransactionCallbackSuccess());
       }else{
         emit(const TransactionCallbackError());
         }


  }


  Future<void> txnFailed()async{
    emit(const TransactionCallbackError());
  }


  Future<void> marketClosed(int? errorCode)async{
    emit(MarketClosedTransaction(errorCode: errorCode));
  }
}
