part of 'transaction_callback_cubit.dart';

abstract class TransactionCallbackState extends Equatable {
  const TransactionCallbackState();
}

class TransactionCallbackInitial extends TransactionCallbackState {
  @override
  List<Object> get props => [];
}


class TransactionCallbackSuccess extends TransactionCallbackState{

  const TransactionCallbackSuccess();

  @override
  List<Object> get props => [];
}


class TransactionCallbackError extends TransactionCallbackState{
  final String errMsg;
  const TransactionCallbackError({this.errMsg="Something went wrong."});
  @override
  List<Object> get props => [errMsg];
}


class TransactionCallbackLoading extends TransactionCallbackState{
  @override
  List<Object> get props => [];
}


class MarketClosedTransaction extends TransactionCallbackState{
  final int? errorCode;
  const MarketClosedTransaction({this.errorCode});

  @override
  List<Object> get props => [];
}