import 'package:json_annotation/json_annotation.dart';
part 'transaction_callaback_response.g.dart';
@JsonSerializable()
class TransactionCallbackResponse{
  int? code;
  String? errors;
  bool? success;
  @JsonKey(name:"data")
  TransactionCallbackData? transactionCallbackData;

  TransactionCallbackResponse.withError({String errorMsg="Something went wrong."}):this.errors=errorMsg;


  TransactionCallbackResponse({this.code,this.errors,this.success,this.transactionCallbackData});

  factory TransactionCallbackResponse.fromJson(Map<String, dynamic> json) => _$TransactionCallbackResponseFromJson(json);

}

@JsonSerializable()
class TransactionCallbackData{

  String? authToken;
  TransactionDetails? transactionDetails;

  TransactionCallbackData({this.authToken,this.transactionDetails});



  factory TransactionCallbackData.fromJson(Map<String, dynamic> json) => _$TransactionCallbackDataFromJson(json);

}

@JsonSerializable()
class TransactionDetails{
   String? broker;
   String? intent;
   List<String>? batchIds;
   String? status;
   String? transactionId;
   OrderConfig? orderConfig;

   TransactionDetails({this.status,this.broker,this.intent,this.batchIds,this.transactionId,this.orderConfig});

   factory TransactionDetails.fromJson(Map<String, dynamic> json) => _$TransactionDetailsFromJson(json);

}

@JsonSerializable()
class OrderConfig{
  String? scid;
  String? type;

  OrderConfig({this.scid,this.type});

  factory OrderConfig.fromJson(Map<String, dynamic> json) => _$OrderConfigFromJson(json);
}




